uniform sampler2D texFontAtlas;
uniform vec4 textColor;

in vec2 texCoord;

out vec4 fragColor;

void main(void)
{
    // Color from uniform, alpha from uniform and texture
    fragColor = vec4(textColor.rgb, textColor.a * texture(texFontAtlas, texCoord).r);
}