uniform mat4 modelMatrix;

// Actually a combination of 2D position and texture coordinates
layout(location = 0) in vec4 inPosition;

out vec2 texCoord;

void main(void)
{
    gl_Position = modelMatrix * vec4(inPosition.xy, 0.0, 1.0);
    texCoord = inPosition.zw;
}